## ros-one-pr2-mechanism-diagnostics 1.8.21-7jammy.20260220.2257

=== debian/changelog ===
ros-one-pr2-mechanism-diagnostics (1.8.21-7jammy.20260220.2257) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- ROS Orphaned Package Maintainers <ros-orphaned-packages@googlegroups.com>  Fri, 20 Feb 2026 22:57:13 +0000

ros-one-pr2-mechanism-diagnostics (1.8.21-0jammy) jammy; urgency=high

  * set catkin_add_gtest within CATKIN_ENABLE_TESTING (#346 <https://github.com/pr2/pr2_mechanism/issues/346>)
    fix with CATKIN_ENABLE_TESTING=OFF
  * Contributors: Kei Okada

 -- ROS Orphaned Package Maintainers <ros-orphaned-packages@googlegroups.com>  Wed, 22 Jun 2022 00:00:00 -0000

ros-one-pr2-mechanism-diagnostics (1.8.20-0jammy) jammy; urgency=high



 -- ROS Orphaned Package Maintainers <ros-orphaned-packages@googlegroups.com>  Mon, 11 Apr 2022 00:00:00 -0000

ros-one-pr2-mechanism-diagnostics (1.8.19-0jammy) jammy; urgency=high

  * Merge pull request #342 <https://github.com/PR2/pr2_mechanism/issues/342> from k-okada/add_noetic
    add noetic to .travis.yml, remove indigo/lunar
  * use '2to3-2.7 -w -fprint -fraise -fexcept -fdict .' to fix python2 to python3
  * Added missing dependencies for catkin_EXPORTED_TARGETS (#341 <https://github.com/PR2/pr2_mechanism/issues/341>)
    This fixes race conditions when compiling from scratch.
    Co-authored-by: Lasse Einig <mailto:einig@informatik.uni-hamburg.de>
  * Contributors: Kei Okada, Michael Görner

 -- ROS Orphaned Package Maintainers <ros-orphaned-packages@googlegroups.com>  Sun, 10 Apr 2022 00:00:00 -0000

ros-one-pr2-mechanism-diagnostics (1.8.18-0jammy) jammy; urgency=high



 -- ROS Orphaned Package Maintainers <ros-orphaned-packages@googlegroups.com>  Tue, 11 Sep 2018 00:00:00 -0000

ros-one-pr2-mechanism-diagnostics (1.8.17-0jammy) jammy; urgency=high

  * Merge pull request #334 <https://github.com/pr2/pr2_mechanism/issues/334> from k-okada/fix_cmake_warning
    Fix cmake warning
  * Merge pull request #332 <https://github.com/pr2/pr2_mechanism/issues/332> from k-okada/maintain
    change maintainer to ROS orphaned package maintainer
  * target pr2_mechanism_diagnostics is not exists
  * change maintainer to ROS orphaned package maintainer
  * Added dependency on pr2_mechanism_msgs
  * Contributors: Kei Okada, dash

 -- ROS Orphaned Package Maintainers <ros-orphaned-packages@googlegroups.com>  Tue, 13 Feb 2018 00:00:00 -0000

ros-one-pr2-mechanism-diagnostics (1.8.15-0jammy) jammy; urgency=high



 -- ROS Orphaned Package Maintainers <ros-orphaned-packages@googlegroups.com>  Tue, 13 Jan 2015 00:00:00 -0000

ros-one-pr2-mechanism-diagnostics (1.8.14-0jammy) jammy; urgency=high



 -- ROS Orphaned Package Maintainers <ros-orphaned-packages@googlegroups.com>  Tue, 13 Jan 2015 00:00:00 -0000

ros-one-pr2-mechanism-diagnostics (1.8.13-0jammy) jammy; urgency=high



 -- ROS Orphaned Package Maintainers <ros-orphaned-packages@googlegroups.com>  Tue, 16 Dec 2014 00:00:00 -0000

## ros-one-pr2-mechanism-diagnostics 1.8.21-7noble.20250531.2320

=== debian/changelog ===
ros-one-pr2-mechanism-diagnostics (1.8.21-7noble.20250531.2320) UNRELEASED; urgency=high

  * noble Append timestamp when binarydeb was built.

 -- ROS Orphaned Package Maintainers <ros-orphaned-packages@googlegroups.com>  Sat, 31 May 2025 23:20:01 +0000

ros-one-pr2-mechanism-diagnostics (1.8.21-0noble) noble; urgency=high

  * set catkin_add_gtest within CATKIN_ENABLE_TESTING (#346 <https://github.com/pr2/pr2_mechanism/issues/346>)
    fix with CATKIN_ENABLE_TESTING=OFF
  * Contributors: Kei Okada

 -- ROS Orphaned Package Maintainers <ros-orphaned-packages@googlegroups.com>  Wed, 22 Jun 2022 00:00:00 -0000

ros-one-pr2-mechanism-diagnostics (1.8.20-0noble) noble; urgency=high



 -- ROS Orphaned Package Maintainers <ros-orphaned-packages@googlegroups.com>  Mon, 11 Apr 2022 00:00:00 -0000

ros-one-pr2-mechanism-diagnostics (1.8.19-0noble) noble; urgency=high

  * Merge pull request #342 <https://github.com/PR2/pr2_mechanism/issues/342> from k-okada/add_noetic
    add noetic to .travis.yml, remove indigo/lunar
  * use '2to3-2.7 -w -fprint -fraise -fexcept -fdict .' to fix python2 to python3
  * Added missing dependencies for catkin_EXPORTED_TARGETS (#341 <https://github.com/PR2/pr2_mechanism/issues/341>)
    This fixes race conditions when compiling from scratch.
    Co-authored-by: Lasse Einig <mailto:einig@informatik.uni-hamburg.de>
  * Contributors: Kei Okada, Michael Görner

 -- ROS Orphaned Package Maintainers <ros-orphaned-packages@googlegroups.com>  Sun, 10 Apr 2022 00:00:00 -0000

ros-one-pr2-mechanism-diagnostics (1.8.18-0noble) noble; urgency=high



 -- ROS Orphaned Package Maintainers <ros-orphaned-packages@googlegroups.com>  Tue, 11 Sep 2018 00:00:00 -0000

ros-one-pr2-mechanism-diagnostics (1.8.17-0noble) noble; urgency=high

  * Merge pull request #334 <https://github.com/pr2/pr2_mechanism/issues/334> from k-okada/fix_cmake_warning
    Fix cmake warning
  * Merge pull request #332 <https://github.com/pr2/pr2_mechanism/issues/332> from k-okada/maintain
    change maintainer to ROS orphaned package maintainer
  * target pr2_mechanism_diagnostics is not exists
  * change maintainer to ROS orphaned package maintainer
  * Added dependency on pr2_mechanism_msgs
  * Contributors: Kei Okada, dash

 -- ROS Orphaned Package Maintainers <ros-orphaned-packages@googlegroups.com>  Tue, 13 Feb 2018 00:00:00 -0000

ros-one-pr2-mechanism-diagnostics (1.8.15-0noble) noble; urgency=high



 -- ROS Orphaned Package Maintainers <ros-orphaned-packages@googlegroups.com>  Tue, 13 Jan 2015 00:00:00 -0000

ros-one-pr2-mechanism-diagnostics (1.8.14-0noble) noble; urgency=high



 -- ROS Orphaned Package Maintainers <ros-orphaned-packages@googlegroups.com>  Tue, 13 Jan 2015 00:00:00 -0000

ros-one-pr2-mechanism-diagnostics (1.8.13-0noble) noble; urgency=high



 -- ROS Orphaned Package Maintainers <ros-orphaned-packages@googlegroups.com>  Tue, 16 Dec 2014 00:00:00 -0000

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/one/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF -DCATKIN_ENABLE_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/one" \
		-DCMAKE_PREFIX_PATH="/opt/ros/one" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-one-pr2-mechanism-diagnostics//opt/ros/one/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_install

## ros-one-pr2-mechanism-diagnostics 1.8.21-7noble.20251023.0208

=== CMakeLists.txt ===
# http://ros.org/doc/groovy/api/catkin/html/user_guide/supposed.html
cmake_minimum_required(VERSION 2.8.3)
project(pr2_mechanism_diagnostics)

# Load catkin and all dependencies required for this package
find_package(catkin REQUIRED COMPONENTS roscpp urdf rospy diagnostic_updater diagnostic_msgs pr2_mechanism_msgs pr2_mechanism_model angles std_srvs std_msgs rostest)

find_package(PkgConfig)
pkg_check_modules(PC_EIGEN REQUIRED eigen3)
include_directories(include ${PC_EIGEN_INCLUDE_DIRS} ${catkin_INCLUDE_DIRS})
add_definitions(${PC_EIGEN_CFLAGS_OTHER})

catkin_package()

add_definitions(-O3)

add_library(${PROJECT_NAME} 
  src/controller_diagnostics.cpp 
  src/joint_diagnostics.cpp)
add_dependencies(${PROJECT_NAME} ${catkin_EXPORTED_TARGETS})
target_link_libraries(${PROJECT_NAME} ${catkin_LIBRARIES})
add_dependencies(${PROJECT_NAME} ${catkin_EXPORTED_TARGETS})

add_executable(pr2_mechanism_diagnostics_node src/pr2_mechanism_diagnostics.cpp)
target_link_libraries(pr2_mechanism_diagnostics_node ${PROJECT_NAME} ${catkin_LIBRARIES})
set_target_properties(pr2_mechanism_diagnostics_node PROPERTIES OUTPUT_NAME pr2_mechanism_diagnostics)

if(CATKIN_ENABLE_TESTING)
  add_rostest(test/launch/mech_diag_test_main.launch)
  add_rostest(test/launch/overrun_test.launch)
  add_rostest(test/launch/uncal_test.launch)
  add_rostest(test/launch/nan_test.launch)
endif()

install(TARGETS pr2_mechanism_diagnostics_node
   DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION})

install(TARGETS ${PROJECT_NAME}
   ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
   LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
   RUNTIME DESTINATION ${CATKIN_GLOBAL_BIN_DESTINATION})

=== debian/changelog ===
ros-one-pr2-mechanism-diagnostics (1.8.21-7noble.20251023.0208) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- ROS Orphaned Package Maintainers <ros-orphaned-packages@googlegroups.com>  Thu, 23 Oct 2025 02:09:00 +0000

=== debian/control ===
Source: ros-one-pr2-mechanism-diagnostics
Section: misc
Priority: optional
Maintainer: ROS Orphaned Package Maintainers <ros-orphaned-packages@googlegroups.com>
Build-Depends: debhelper (>= 9.0.0), ros-one-angles, ros-one-catkin, ros-one-diagnostic-msgs, ros-one-diagnostic-updater, ros-one-pr2-mechanism-model, ros-one-pr2-mechanism-msgs, ros-one-roscpp, ros-one-rostest, ros-one-std-msgs, ros-one-std-srvs, ros-one-urdf
Homepage: http://ros.org/wiki/pr2_mechanism_diagnostics
Standards-Version: 3.9.2

Package: ros-one-pr2-mechanism-diagnostics
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-one-angles, ros-one-diagnostic-msgs, ros-one-diagnostic-updater, ros-one-pr2-mechanism-model, ros-one-pr2-mechanism-msgs, ros-one-roscpp, ros-one-rospy, ros-one-std-msgs, ros-one-std-srvs, ros-one-urdf
Description: The `pr2_mechanism_diagnostics` node subscribes to `mechanism_statistics` and publishes diagnostics data for joints and controllers on `/diagnostics`.

=== debian/rules ===
--- 
+++ 
@@ -32,6 +32,7 @@
 	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
 	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
 	dh_auto_configure -- \
+		-DFETCHCONTENT_FULLY_DISCONNECTED=OFF \
 		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
 		-DCMAKE_INSTALL_PREFIX="/opt/ros/one" \
 		-DCMAKE_PREFIX_PATH="/opt/ros/one" \

## ros-one-pr2-mechanism-diagnostics 1.8.21-7noble.20260220.2313

=== debian/changelog ===
ros-one-pr2-mechanism-diagnostics (1.8.21-7noble.20260220.2313) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- ROS Orphaned Package Maintainers <ros-orphaned-packages@googlegroups.com>  Fri, 20 Feb 2026 23:13:47 +0000
